Updates a category.
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/categories/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"parentId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sortNumber": 123,
"name": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/categories/{id}"
payload = {
"parentId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sortNumber": 123,
"name": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
parentId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
sortNumber: 123,
name: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"categoryId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}wawi
Updates a category.
PATCH
/
v2
/
categories
/
{id}
Updates a category.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Path Parameters
The ID of the category to be updated.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
application/json
Request model for UpdateCategory command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.
Response
The category was successfully updated.
Updates a category. - Response
The ID of the updated category.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?
⌘I